SIP 410 Gone: what it means and how to fix it
Short answer: SIP 410 Gone means the destination is no longer available on that server and no forwarding address is known, in a condition considered permanent. In telephony, it is almost always a number that was deactivated, canceled or changed. Confirm with the number's owner whether it is still active and update the record or route to the new number.
| Code | 410 |
|---|---|
| Official name | Gone |
| Class | 4xx: request failure |
| Defined in | RFC 3261 |
| Q.850 causes that usually come with it | 22 (Number changed), 23 (Redirection to new destination) |
How Monitor treats SIP 410
The reading depends on what should answer the number, which is the question 2N5 answers when it adds each circuit. These are the rules the product applies today, generated from the same function that judges every test call.
| What should answer the number | Reading |
|---|---|
| A greeting or recorded message (the IVR) | Down |
| A test tone or echo service | Down |
| Other: it may ring or be answered | Down |
What Monitor records for an IVR: The provider refused the call: the number is no longer in service (SIP 410).
A call read as Down alerts nobody on its own: it is repeated 3 times, every 2 minutes, and only 4 failures in a row open an incident, with each call's SIP code and Q.850 cause as evidence for the carrier. At the default pace, every circuit is tested every 15 minutes.
If the carrier returns SIP 410 when 2N5's calling account registers, before any call, the test is monitoring blind: it is a problem on 2N5's side, it does not count against the circuit and it does not alert the customer.
What does SIP 410 mean in practice?
Under RFC 3261, SIP 410 Gone indicates that the requested resource is no longer available at the server and no forwarding address is known. The condition is expected to be permanent. If the server does not know whether the condition is permanent, the RFC says to use SIP 404 instead.
On a phone trunk, the SIP 410 error usually means “this number used to exist and no longer does.” It is more specific than a 404 and therefore less common: many networks answer 404 or play a recorded announcement even when the number was deactivated. When a 410 does appear, treat it as a strong sign of a change in the number’s registration, not as a passing network failure. Calling again will not change the result.
Common causes in Brazil
- A landline or mobile line canceled by the subscriber and not yet reassigned to another customer.
- An 0800 or service number deactivated during a contract or carrier migration.
- A number the company replaced, with the old one still saved in phone books, IVRs or PBX rules.
- An inbound DID removed from the trunk but still advertised or still present in other systems’ forwarding.
- An extension deleted on an Asterisk, Issabel, FreePBX, 3CX or Intelbras PBX configured to answer 410 for removed users.
How to diagnose it
- Capture with
sngrep port 5060and check that the response really is410 Goneand whether there is aReason: Q.850;cause=22header (RFC 6432). - On Asterisk or FreePBX, turn on
pjsip set logger on(orsip set debug onwith chan_sip) and see which server the 410 came from: the carrier or a PBX further along. - Call the same number from another line, ideally on another carrier, to confirm the result repeats.
- Check that the number is not mistyped on the PBX or in the outbound rule: one swapped digit can lead to an old, deactivated number.
- On 3CX, enable “Verbose logging” and check the exact number sent to the trunk.
- If the number is yours, ask the carrier that holds it about the line’s status and the date it changed.
What to send the carrier
- Date and time of the attempts, with the time zone.
- Calling number (A) and called number (B), as sent in the INVITE.
- The Call-ID of at least one call.
- The full 410 response line and the Reason header with the Q.850 cause, if present.
- Since when the number has stopped going through and how many attempts failed.
- The pcap of the capture, when available.
Frequently asked questions
Can a number that gets 410 start working again?
It can, but not on its own. The 410 signals a condition the server considers permanent, such as the line being canceled. It only goes through again if the number is reactivated or reassigned. If your company's 0800 (toll-free) number or main number gets a 410, talk to the carrier that holds the number: it may have been canceled by mistake or during a migration.
Which Q.850 cause comes with a 410?
Under RFC 3398, Q.850 cause 22 (Number changed) with no new number given is converted into 410, as is cause 23 (Redirection to new destination). When the network does provide the new number, cause 22 becomes 301 Moved Permanently, with the new number in the Contact header. In the other direction, a 410 becomes cause 22.